C**                                                                 ***
C**-----------------------------------------------------------------***
C**                                                                 ***
C**** call of the steady solver:                                    ***
C**   -------------------------                                     ***
C**                                                                 ***
      IVEM(10)=99
      OPEN(99,FORM='UNFORMATTED',STATUS='SCRATCH')
      IVEM(11)=98
      OPEN(98,FORM='UNFORMATTED',STATUS='SCRATCH')
      IVEM(12)=97
      OPEN(97,FORM='UNFORMATTED',STATUS='SCRATCH')
C**                                                                 ***
      IVEM(40)=LOUT
      IVEM(41)=CNTSLV*OUTFLG
      IVEM(45)=%SOLVER_MSPACK_
      IVEM(46)=%SOLVER_PCLASS_
      IVEM(60)=%SOLVER_MAXIT_
      IVEM(70)=%SOLVER_MS_
      IVEM(71)=%SOLVER_MSPREC_
      IVEM(72)=%SOLVER_ITMAX_
      RVEM(1)=0.
      RVEM(3)=%SOLVER_EPSEST_
      RVEM(10)=%SOLVER_TOL_ 
      RVEM(11)=T
      RVEM(12)=%SOLVER_TEND_
      RVEM(13)=%SOLVER_H_
      RVEM(14)=%SOLVER_HMIN_
      RVEM(15)=%SOLVER_HMAX_
      LVEM(1) =LSYM
      LVEM(4) =(%SOLVER_SMLLCR_.EQ.1)
      LVEM(6) =(%SOLVER_ERRSTP_.EQ.1)
      LVEM(7) =(%SOLVER_ERREST_.EQ.1)
      LVEM(8) =(%SOLVER_USESNI_.EQ.1)
      LVEM(9) =(%SOLVER_SMOOTH_.EQ.0)
      LVEM(10)=(%SOLVER_LMVM_.EQ.1)
      LVEM(11)=(%SOLVER_NORMMA_.EQ.1)
      LVEM(15)=(%SOLVER_ALLP_.EQ.1)
      LVEM(16)=(%SOLVER_INTERP_.EQ.1)
      TCOUNT=0

9998  T=T+%SOLVER_DT_
      TCOUNT=TCOUNT+1

      CALL VEMP02(T,LU,U,EEST,LIVEM,IVEM,LLVEM,LVEM,LRVEM,RVEM,
     &            LNEK, NEK ,LRPARM ,RPARM ,LIPARM ,IPARM ,
     &            LDNOD,DNOD,LRDPRM,RDPARM,LIDPRM,IDPARM,LNODN,
     &            NODNUM,LNOD,NOD,LNOPRM,NOPARM,LBIG,RBIG,IBIG,
     &            MASKLL,MASKFF,USERB,USRFUT,USRFU,USERF,
     &            VEM500,VEM630)
      SPACE=IVEM(8)
      LSPACE=IVEM(9)
      STEP=IVEM(3)
      IF (IVEM(2).GT.0) GOTO 9999
